@echo off
echo Checking admin mode
net session >nul 2>&1
if %errorLevel% == 0 (
   echo Success: Administrative permissions confirmed.
) else (
   echo Failure: Administrative permissions denied.
   goto error_noaccess
)

if "%ProgramW6432%" NEQ "" goto :do64
:do32
echo x86 detected

%SYSTEMROOT%\system32\inetsrv\appcmd.exe uninstall module "We-Amp IISpeed"
echo restart iis
iisreset /restart /timeout:1
del "%ProgramFiles%\we-amp\iispeed\release\iispeedmodule.dll"
del "%ProgramFiles%\we-amp\iispeed\release\iispeedmodule.pdb"

if exist "%ProgramFiles%\we-amp\iispeed\release\iispeedmodule.dll" goto error_noaccess


goto end
:do64
echo x64 detected

%SYSTEMROOT%\system32\inetsrv\appcmd.exe uninstall module "We-Amp IISpeed"
%SYSTEMROOT%\system32\inetsrv\appcmd.exe uninstall module "We-Amp IISpeed 32bits release"
iisreset /restart /timeout:1
del "%ProgramW6432%\we-amp\iispeed\release\iispeedmodule.dll" 
del "%ProgramW6432%\we-amp\iispeed\release\iispeedmodule.pdb" 
del "%ProgramFiles(x86)%\we-amp\iispeed\release\iispeedmodule.dll"
del "%ProgramFiles(x86)%\we-amp\iispeed\release\iispeedmodule.pdb"

if exist "%ProgramW6432%\we-amp\iispeed\release\iispeedmodule.dll" goto error_noaccess


goto end
:error_noaccess
echo Uninstall finished with errors
goto end
:end
pause